clan::ViewAction Class Reference - ClanLib SDK
Description: clan::ViewAction Class Reference

Public Member Functions | Friends | List of all members
clan::ViewAction Class Reference

Recognizes actions in a view and captures input for the duration of the action. More...

`#include <view_action.h>`

Inheritance diagram for clan::ViewAction:

## Public Member Functions
| ViewAction ()
virtual | ~ViewAction ()
bool | action_active () const
| Returns true if the action is capturing events.
virtual void | activated (ActivationChangeEvent &e)
| Handler for when the application is activated.
virtual void | any_event (EventUI *e)
| Handler for any UI event.
void | begin_action ()
| Captures events until end is called.
virtual void | deactivated (ActivationChangeEvent &e)
| Handler for when the application is deactivated.
void | end_action ()
| Releases capture of events.
virtual void | focus_gained (FocusChangeEvent &e)
| Handler for focus gained events.
virtual void | focus_lost (FocusChangeEvent &e)
| Handler for focus lost events.
virtual void | key_press (KeyEvent &e)
| Handler for key press events.
virtual void | key_release (KeyEvent &e)
| Handler for key release events.
virtual void | pointer_double_click (PointerEvent &e)
| Handler for pointer double click events.
virtual void | pointer_enter (PointerEvent &e)
| Handler for pointer enter events.
virtual void | pointer_leave (PointerEvent &e)
| Handler for pointer leave events.
virtual void | pointer_move (PointerEvent &e)
| Handler for pointer movement events.
virtual void | pointer_press (PointerEvent &e)
| Handler for pointer press events.
virtual void | pointer_proximity_change (PointerEvent &e)
| Handler for pointer proximity change events.
virtual void | pointer_release (PointerEvent &e)
| Handler for pointer release events.
void | remove_from_view ()
| Removes recognizer from the view it is attached to.
View * | view () const
| Returns the view the action is attached to.
template<typename T>
T * | view () const

## Friends
class | View
class | ViewActionImpl
class | ViewTree

## Detailed Description

Recognizes actions in a view and captures input for the duration of the action.

## Constructor & Destructor Documentation

## ◆ ViewAction()

clan::ViewAction::ViewAction | ( |  | ) |

## ◆ ~ViewAction()

virtual clan::ViewAction::~ViewAction | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ action_active()

bool clan::ViewAction::action_active | ( |  | ) | const

Returns true if the action is capturing events.

## ◆ activated()

virtual void clan::ViewAction::activated | ( | ActivationChangeEvent & | e | ) |
| inlinevirtual

Handler for when the application is activated.

References clan::e.

## ◆ any_event()

virtual void clan::ViewAction::any_event | ( | EventUI * | e | ) |
| inlinevirtual

Handler for any UI event.

References clan::e.

## ◆ begin_action()

void clan::ViewAction::begin_action | ( |  | ) |

Captures events until end is called.

## ◆ deactivated()

virtual void clan::ViewAction::deactivated | ( | ActivationChangeEvent & | e | ) |
| inlinevirtual

Handler for when the application is deactivated.

References clan::e.

## ◆ end_action()

void clan::ViewAction::end_action | ( |  | ) |

Releases capture of events.

## ◆ focus_gained()

virtual void clan::ViewAction::focus_gained | ( | FocusChangeEvent & | e | ) |
| inlinevirtual

Handler for focus gained events.

References clan::e.

## ◆ focus_lost()

virtual void clan::ViewAction::focus_lost | ( | FocusChangeEvent & | e | ) |
| inlinevirtual

Handler for focus lost events.

References clan::e.

## ◆ key_press()

virtual void clan::ViewAction::key_press | ( | KeyEvent & | e | ) |
| inlinevirtual

Handler for key press events.

References clan::e.

## ◆ key_release()

virtual void clan::ViewAction::key_release | ( | KeyEvent & | e | ) |
| inlinevirtual

Handler for key release events.

References clan::e.

## ◆ pointer_double_click()

virtual void clan::ViewAction::pointer_double_click | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer double click events.

References clan::e.

## ◆ pointer_enter()

virtual void clan::ViewAction::pointer_enter | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer enter events.

References clan::e.

## ◆ pointer_leave()

virtual void clan::ViewAction::pointer_leave | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer leave events.

References clan::e.

## ◆ pointer_move()

virtual void clan::ViewAction::pointer_move | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer movement events.

References clan::e.

## ◆ pointer_press()

virtual void clan::ViewAction::pointer_press | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer press events.

References clan::e.

## ◆ pointer_proximity_change()

virtual void clan::ViewAction::pointer_proximity_change | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer proximity change events.

References clan::e.

## ◆ pointer_release()

virtual void clan::ViewAction::pointer_release | ( | PointerEvent & | e | ) |
| inlinevirtual

Handler for pointer release events.

References clan::e.

## ◆ remove_from_view()

void clan::ViewAction::remove_from_view | ( |  | ) |

Removes recognizer from the view it is attached to.

## ◆ view() [1/2]

View * clan::ViewAction::view | ( |  | ) | const

Returns the view the action is attached to.

References View.

Referenced by view().

## ◆ view() [2/2]

template<typename T>

T * clan::ViewAction::view | ( |  | ) | const
| inline

References view().

## Friends And Related Symbol Documentation

## ◆ View

friend class View
| friend

References View.

Referenced by View, and view().

## ◆ ViewActionImpl

friend class ViewActionImpl
| friend

References ViewActionImpl.

Referenced by ViewActionImpl.

## ◆ ViewTree

friend class ViewTree
| friend

References ViewTree.

Referenced by ViewTree.

The documentation for this class was generated from the following file:

- view_action.h